# JDACommandExecutionContext (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: JDACommandExecutionContext

Package co.aikar.commands

# Class JDACommandExecutionContext

java.lang.Object
co.aikar.commands.CommandExecutionContext<JDACommandExecutionContext,JDACommandEvent>
co.aikar.commands.JDACommandExecutionContext

public class JDACommandExecutionContext extends co.aikar.commands.CommandExecutionContext<JDACommandExecutionContext,JDACommandEvent>

## Field Summary

### Fields inherited from class co.aikar.commands.CommandExecutionContext

`issuer`

## Method Summary

### Methods inherited from class co.aikar.commands.CommandExecutionContext

`canOverridePlayerContext, getAnnotation, getAnnotationValue, getAnnotationValue, getArgs, getBooleanFlagValue, getBooleanFlagValue, getCmd, getDoubleFlagValue, getFirstArg, getFlags, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFloatFlagValue, getIndex, getIntFlagValue, getIssuer, getLastArg, getLongFlagValue, getNumParams, getParam, getParameterPermissions, getPassedArgs, getResolvedArg, getResolvedArg, getResolvedArg, hasAnnotation, hasFlag, isLastArg, isOptional, joinArgs, joinArgs, popFirstArg, popLastArg`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`